# Journal de bord du MOOC

## Bilan du premier exercice

Très difficle de trouver les infos pour écrire en markdown de manière simple.
Il faudrait un lien vers un pdf avec les infos de code simple

Comme [ici?](https://guides.github.com/pdfs/markdown-cheatsheet-online.pdf)

## Test de copier directement un doc R Markdown

![Logo](/journal/logo.png "Image Title")


---
title: "EFFET DE LA VARIETE SUR LE POIDS D’UNE COURGE"
author: "Etudiants"
date: "2020"
output: 
  word_document: default
---

```{r setup, include=FALSE}
knitr::opts_chunk$set(echo = TRUE)
```

# Objectifs du projet

L’objectif de ce projet est de déterminer si le poids des courges est corrélé avec la variété. 
Dans cette étude, nous nous focaliserons sur les 4 variétés de courges suivantes : courgeron, courge delicata, courge spaghetti, et courge butternut.
Notre question d’intérêt est donc de déterminer s’il y a une relation entre le poids de la courge et sa variété.

# Introduction
La récolte des données a eu lieu en décembre 2018 dans une entreprise d’agriculture maraichère bio de Provence. 
Les essais sont constitués de 4 variétés de référence sur le marché : courgeron, courge delicata, courge spaghetti, et courge butternut. 
Un essai contient deux répétitions de 8 plants. Toutes les plantes sont cultivées dans les mêmes conditions climatiques, pédologiques et sanitaires. 
Nous avons veillé à récolter des plants exposés au même ensoleillement.

# Matériel et méthode
## Matériel végétal

## Matériel virale et inoculations

## Expérimentations

## Méthode stat

décrire la méthode stat et notamment l'ANOVA

$$y_{ij} = \mu + \alpha_i + \varepsilon_{ij}$$

avec $\varepsilon_{ij} \sim_{iid} \, N(0,\sigma^2)$


# Résultats bruts

* Résumé des données

```{r importation, echo=FALSE}
courge <- read.csv("courge.txt", sep="")

summary(courge)

# pour afficher le tableau des données entier:    
#knitr::kable(courge)
```

* Graphique des données

```{r boxplot}
library(ggplot2)

ggplot(courge, aes(x=Varietes, y=Poids, fill=Varietes)) + 
    geom_boxplot()  +    
    theme(legend.position="none")
```



# Résultats digérés

expliquer les résultats et les graphiques

```{r, eval=FALSE, echo=FALSE}
# si jamais pas normalité ou variance constante
kruskal.test(Poids~Varietes, data=courge)

# Comparaison 2 à 2 si test de kruskal significatif
#pairwise.wilcox.test(courge$Poids, courge$Varietes,
#                 p.adjust.method = "BH")
```


```{r}
res <- lm(Poids~Varietes, data=courge)
summary(res)
```


```{r}
anova(res)
```

```{r, eval=FALSE}
# Comparaison 2 à 2 Newman and Keuls, seulement si test anova significatif (d'où eval=FALSE dans l'option du chunck)
library(agricolae)

SNK.test(res,"Varietes", console=TRUE)
print(SNK.test(res,"Varietes", group=FALSE))
plot(SNK.test(res,"Varietes"))
```


# Validation du modèle

```{r}
par(mfrow=c(2,2))
plot(res)
```

# pour aller plus loin test d'égalité des variances 
Si le graphique Scale - Location vous fait douter de la condition d'égalité des variances entre groupe, vous pouvez faire ce test pour vérifier cette condition. *Cette condition est nécessaire pour l'anova 1 facteur.* 
```{r}
bartlett.test(Poids~Varietes, data=courge)
```


